Tests a Settlement Callback
POST
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
settlementId*stringFormat
uuidX-Forwarded-For?string- body
overrideUrl?string|nullpaymentId?stringFormat
uuidcallbackVersion?CallbackVersionValue in
"V1""V2"OK
application/json- response
content?info?array<>|nullcurl -X POST 'https://www.api.revio.co.za/v2/callback/test/settlement/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response200
{ "content": { "settlementId": "b4887549-5aec-4adc-bf32-5fb69ede72ea", "amountCents": 0, "eftPaymentId": "3f769180-cf38-47ce-bdce-fbead91a4bda", "settlementInstrument": "EFTSAMEDAY_PAYMENT", "settlementDetails": { "totalDebicheckCollectionsAmountCents": 0, "totalEftCollectionsAmountCents": 0, "totalDebicheckDisputesAmountCents": 0, "totalEftDisputesAmountCents": 0, "settlementPercentage": 0, "calculatedPositiveAmountCents": 0, "calculatedNegativeAmountCents": 0, "isValidPositiveSettlement": true }, "paymentReconReference": "string", "paymentDate": "2019-08-24T14:15:22Z", "profileCode": "string", "code": "string", "description": "string", "externalReference": "string", "fileNameReference": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string" }, "info": [ { "url": "string", "success": true, "error": null } ]}